package techniczne;

import java.io.IOException;

import beans.ExampleBean;
import jakarta.servlet.Filter;
import jakarta.servlet.FilterChain;
import jakarta.servlet.FilterConfig;
import jakarta.servlet.ServletException;
import jakarta.servlet.ServletRequest;
import jakarta.servlet.ServletResponse;
import jakarta.servlet.annotation.WebFilter;

@WebFilter("/zakresy_filtr.jsp")
public class FiltrZwiekszajacy implements Filter {
    public void init(FilterConfig fConfig) throws ServletException {
    }

    public void destroy() {
    }

    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        System.out.println("filtr - początek");
        ExampleBean obiekt = new ExampleBean();
        obiekt.setLicznik(100);
        request.setAttribute("req", obiekt);
        
        // pass the request along the filter chain
        chain.doFilter(request, response);

        // sterowanie wraca do filtru już po wysłaniu treści z jsp (w tym przypadku)
        System.out.println("licznik = " + obiekt.getLicznik());
    }


}
